.members {
  display: flex;
  align-items: center;
  flex-direction: column;
  margin: 5rem 0 0 0;
  gap: .5rem;
  max-width: 100vw;

  @include sm {
    margin: 10rem 0 0 0;
  }

  &__marquee {
    flex-shrink: 0;
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: .5rem;
    width: 100%;
    mask-image: linear-gradient(
      var(--mask-direction, to right),
      hsl(0 0% 0% / 0),
      hsl(0 0% 0% / 1) 20%,
      hsl(0 0% 0% / 1) 80%,
      hsl(0 0% 0% / 0)
    );

    &__group {
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: space-around;
      gap: .5rem;
      min-width: 100%;

      &__item {
        display: flex;
        align-items: center;
        width: 9rem;
        height: 7.5rem;
        background: #FFFFFF;
        border: 1px solid #E6E6E6;
        border-radius: 5px;
        padding: 2rem;

        @include sm {
          width: 16rem;
          height: 11.5rem;
        }

        img {
          width: auto;
          height: auto;
          max-width: 100%;
          max-height: 100%;
          margin: 0 auto;
        }
      }
    }

    &.static {
      .members__marquee__group {
        justify-content: center;
        flex-wrap: wrap;
        flex-shrink: 1;
        
        &__item {
          width: 12rem;
          height: 8.6rem;

          @include sm {
            width: 16rem;
            height: 11.5rem;
          }  
        }
      }
    }

    &:not(.static) {
      .members__marquee__group {
        animation: scroll-x 120s linear infinite;
      }
    }

    &.reverse {
      .members__marquee__group {
        animation-direction: reverse;
        animation-delay: -3s;
      }
    }
  }

  &__content {
    width: calc(100% - 2rem);
    padding: 4rem 3rem;
    background: $white;
    box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.05);
    border-radius: 10px;
    text-align: center;
    transform: translateY(-15%);

    @include sm {
      width: calc(100% - 4rem);
      padding: 4rem 5rem;
      transform: translateY(-15rem);
    }

    @include md {
      width: 60%;
    }

    @include lg {
      width: 45%;
    }

    h2 {
      color: $blue;
      margin-bottom: 20px;
    }

    p {
      margin-bottom: 30px
    }
  }
}

@keyframes scroll-x {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(calc(-100% - .5rem));
  }
}